declare type Link = {
    url: string | undefined;
    label: string;
    active: boolean;
};
declare type Item = {
    url: string | undefined;
    label: string;
    isPage: boolean;
    isActive: boolean;
    isPrevious: boolean;
    isNext: boolean;
    isCurrent: boolean;
    isSeparator: boolean;
};
declare type PaginatorMeta = {
    current_page: number;
    first_page_url: string;
    from: number;
    last_page: number;
    last_page_url: string;
    next_page_url: string | undefined;
    path: string;
    per_page: number;
    prev_page_url: string | undefined;
    to: number;
    total: number;
    links?: Link[];
};
declare type PaginatorData = {
    meta?: PaginatorMeta;
    links?: Link[];
};
declare const usePaginator: (data: PaginatorData | PaginatorMeta) => {
    pages: Item[];
    items: Item[];
    previous: Item;
    next: Item;
    first: {
        isActive: boolean;
        label: string;
        url: string | undefined;
        isPage: boolean;
        isPrevious: boolean;
        isNext: boolean;
        isCurrent: boolean;
        isSeparator: boolean;
    };
    last: {
        isActive: boolean;
        label: string;
        url: string | undefined;
        isPage: boolean;
        isPrevious: boolean;
        isNext: boolean;
        isCurrent: boolean;
        isSeparator: boolean;
    };
    total: number;
    from: number;
    to: number;
};

export { usePaginator };
